## neovim-gitsigns 1.0.2

=== Makefile ===

export PJ_ROOT=$(PWD)

FILTER ?= .*

export NVIM_RUNNER_VERSION := v0.10.3
export NVIM_TEST_VERSION ?= v0.10.3

ifeq ($(shell uname -s),Darwin)
    UNAME ?= MACOS
else
    UNAME ?= LINUX
endif

.DEFAULT_GOAL := build

NVIM_TEST := deps/nvim-test

.PHONY: nvim-test
nvim-test: $(NVIM_TEST)

$(NVIM_TEST):
	git clone --depth 1 --branch v1.1.0 https://github.com/lewis6991/nvim-test $@
	$@/bin/nvim-test --init

.PHONY: test
test: $(NVIM_TEST)
	NVIM_TEST_VERSION=$(NVIM_TEST_VERSION) \
	$(NVIM_TEST)/bin/nvim-test test \
		--lpath=$(PWD)/lua/?.lua \
		--verbose \
		--filter="$(FILTER)"

	-@stty sane

.PHONY: test-all
test-all: test-095 test-010 test-nightly

.PHONY: test-095
test-095:
	$(MAKE) $(MAKEFLAGS) test NVIM_TEST_VERSION=v0.9.5

.PHONY: test-010
test-010:
	$(MAKE) $(MAKEFLAGS) test NVIM_TEST_VERSION=v0.10.3

.PHONY: test-nightly
test-nightly:
	$(MAKE) $(MAKEFLAGS) test NVIM_TEST_VERSION=nightly

export XDG_DATA_HOME ?= $(HOME)/.data

NVIM := $(XDG_DATA_HOME)/nvim-test/nvim-runner-$(NVIM_RUNNER_VERSION)/bin/nvim

.PHONY: gen_help
gen_help: $(NVIM_TEST)
	$(NVIM) -l ./gen_help.lua
	@echo Updated help

STYLUA_PLATFORM_MACOS := macos-aarch64
STYLUA_PLATFORM_LINUX := linux-x86_64
STYLUA_PLATFORM := $(STYLUA_PLATFORM_$(UNAME))

STYLUA_VERSION := v2.0.2
STYLUA_ZIP := stylua-$(STYLUA_PLATFORM).zip
STYLUA_URL_BASE := https://github.com/JohnnyMorganz/StyLua/releases/download
STYLUA_URL := $(STYLUA_URL_BASE)/$(STYLUA_VERSION)/$(STYLUA_ZIP)
STYLUA := deps/stylua

.INTERMEDIATE: $(STYLUA_ZIP)
$(STYLUA_ZIP):
	wget $(STYLUA_URL)

.PHONY: stylua
stylua: $(STYLUA)

$(STYLUA): $(STYLUA_ZIP)
	unzip $< -d $(dir $@)

LUA_FILES := $(shell git ls-files lua test)

.PHONY: stylua-check
stylua-check: $(STYLUA)
	$(STYLUA) --check $(LUA_FILES)

.PHONY: stylua-run
stylua-run: $(STYLUA)
	$(STYLUA) $(LUA_FILES)

.PHONY: build
build: gen_help stylua-run

.PHONY: doc-check
doc-check: gen_help
	git diff --exit-code -- doc

ifeq ($(shell uname -m),arm64)
    LUALS_ARCH ?= arm64
else
    LUALS_ARCH ?= x64
endif

LUALS_VERSION := 3.13.8
LUALS := deps/lua-language-server-$(LUALS_VERSION)-$(shell uname -s)-$(LUALS_ARCH)
LUALS_TARBALL := $(LUALS).tar.gz
LUALS_URL := https://github.com/LuaLS/lua-language-server/releases/download/$(LUALS_VERSION)/$(notdir $(LUALS_TARBALL))

.PHONY: luals
luals: $(LUALS)

$(LUALS):
	wget --directory-prefix=$(dir $@) $(LUALS_URL)
	mkdir -p $@
	tar -xf $(LUALS_TARBALL) -C $@
	rm -rf $(LUALS_TARBALL)

.PHONY: luals-check
luals-check: $(LUALS) $(NVIM_TEST)
	VIMRUNTIME=$(XDG_DATA_HOME)/nvim-test/nvim-test-$(NVIM_TEST_VERSION)/share/nvim/runtime \
		$(LUALS)/bin/lua-language-server \
			--configpath=../.luarc.json \
			--check=lua

=== debian/changelog ===
neovim-gitsigns (1.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1114724)

 -- Carl Keinath <carl.keinath@gmail.com>  Sun, 14 Sep 2025 10:01:20 +0200

=== debian/control ===
Source: neovim-gitsigns
Section: editors
Priority: optional
Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
Uploaders: Carl Keinath <carl.keinath@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-vim-addon,
Standards-Version: 4.7.2
Homepage: https://github.com/lewis6991/gitsigns.nvim
Vcs-Browser: https://salsa.debian.org/vim-team/neovim-gitsigns
Vcs-Git: https://salsa.debian.org/vim-team/neovim-gitsigns.git

Package: neovim-gitsigns
Architecture: all
Depends:
 ${misc:Depends},
 ${vim-addon:Depends},
 git,
Description: Git integration for buffers in Neovim
 gitsigns.nvim is a Lua plugin for Neovim that shows Git status
 directly in buffers. It displays signs for added, changed and
 deleted lines.
 .
 This is a neovim-only plugin.

=== debian/watch ===
Version: 5

Template: Github
Owner: lewis6991
Project: gitsigns.nvim

## neovim-gitsigns 2.0.0

=== Makefile ===
export XDG_DATA_HOME ?= $(HOME)/.data
export PJ_ROOT=$(PWD)

ifeq ($(shell uname -s),Darwin)
    UNAME ?= MACOS
else
    UNAME ?= LINUX
endif

MAKEFLAGS += --no-builtin-rules
MAKEARGS += --warn-undefined-variables

.DEFAULT_GOAL := build

.PHONY: build
build: doc format

################################################################################
# nvim-test
################################################################################

export NVIM_RUNNER_VERSION := v0.11.0
export NVIM_TEST_VERSION ?= v0.11.0

NVIM_TEST := deps/nvim-test

.PHONY: nvim-test
nvim-test: $(NVIM_TEST)

$(NVIM_TEST):
	git clone --depth 1 --branch v1.3.0 https://github.com/lewis6991/nvim-test $@
	$@/bin/nvim-test --init

################################################################################
# Testsuite
################################################################################

FILTER ?= .*

.PHONY: test
test: $(NVIM_TEST)
	$(NVIM_TEST)/bin/nvim-test test \
		--lpath=$(PWD)/lua/?.lua \
		--verbose \
		--filter="$(FILTER)"

	-@stty sane

.PHONY: test-all
test-all: test-095 test-010 test-nightly

.PHONY: test-010
test-010:
	$(MAKE) $(MAKEFLAGS) test NVIM_TEST_VERSION=v0.10.4

.PHONY: test-011
test-011:
	$(MAKE) $(MAKEFLAGS) test NVIM_TEST_VERSION=v0.11.0

.PHONY: test-nightly
test-nightly:
	$(MAKE) $(MAKEFLAGS) test NVIM_TEST_VERSION=nightly

NVIM := $(XDG_DATA_HOME)/nvim-test/nvim-runner-$(NVIM_RUNNER_VERSION)/bin/nvim

################################################################################
# Stylua
################################################################################

STYLUA_PLATFORM_MACOS := macos-aarch64
STYLUA_PLATFORM_LINUX := linux-x86_64
STYLUA_PLATFORM := $(STYLUA_PLATFORM_$(UNAME))

STYLUA_VERSION := v2.0.2
STYLUA_ZIP := stylua-$(STYLUA_PLATFORM).zip
STYLUA_URL_BASE := https://github.com/JohnnyMorganz/StyLua/releases/download
STYLUA_URL := $(STYLUA_URL_BASE)/$(STYLUA_VERSION)/$(STYLUA_ZIP)
STYLUA := deps/stylua

.INTERMEDIATE: $(STYLUA_ZIP)
$(STYLUA_ZIP):
	wget $(STYLUA_URL)

.PHONY: stylua
stylua: $(STYLUA)

$(STYLUA): $(STYLUA_ZIP)
	unzip $< -d $(dir $@)

LUA_FILES := $(shell git ls-files lua test)

.PHONY: format-check
format-check: $(STYLUA)
	$(STYLUA) --check $(LUA_FILES)

.PHONY: format
format: $(STYLUA)
	$(STYLUA) $(LUA_FILES)

################################################################################
# Emmylua
################################################################################

ifeq ($(shell uname -m),arm64)
    EMMYLUA_ARCH ?= arm64
else
    EMMYLUA_ARCH ?= x64
endif

EMMYLUA_REF := 0.19.0
EMMYLUA_OS ?= $(shell uname -s | tr '[:upper:]' '[:lower:]')

EMMYLUA_RELEASE_URL_BASE := https://github.com/EmmyLuaLs/emmylua-analyzer-rust/releases/download/$(EMMYLUA_REF)
EMMYLUA_DIR := deps/emmylua-$(EMMYLUA_REF)

EMMYLUA_RELEASE_URL := $(EMMYLUA_RELEASE_URL_BASE)/emmylua_check-$(EMMYLUA_OS)-$(EMMYLUA_ARCH).tar.gz
EMMYLUA_RELEASE_TAR := deps/emmylua_check-$(EMMYLUA_REF)-$(EMMYLUA_OS)-$(EMMYLUA_ARCH).tar.gz
EMMYLUA_BIN := $(EMMYLUA_DIR)/emmylua_check

EMMYLUADOC_RELEASE_URL := $(EMMYLUA_RELEASE_URL_BASE)/emmylua_doc_cli-$(EMMYLUA_OS)-$(EMMYLUA_ARCH).tar.gz
EMMYLUADOC_RELEASE_TAR := deps/emmylua_doc-$(EMMYLUA_REF)-$(EMMYLUA_OS)-$(EMMYLUA_ARCH).tar.gz
EMMYLUADOC_BIN := $(EMMYLUA_DIR)/emmylua_doc_cli

.PHONY: emmylua
emmylua: $(EMMYLUA_BIN)

$(EMMYLUA_BIN):
	mkdir -p $(EMMYLUA_DIR)
	curl -L $(EMMYLUA_RELEASE_URL) -o $(EMMYLUA_RELEASE_TAR)
	tar -xzf $(EMMYLUA_RELEASE_TAR) -C $(EMMYLUA_DIR)

$(EMMYLUADOC_BIN):
	mkdir -p $(EMMYLUA_DIR)
	curl -L $(EMMYLUADOC_RELEASE_URL) -o $(EMMYLUADOC_RELEASE_TAR)
	tar -xzf $(EMMYLUADOC_RELEASE_TAR) -C $(EMMYLUA_DIR)

NVIM_TEST_RUNTIME=$(XDG_DATA_HOME)/nvim-test/nvim-test-$(NVIM_TEST_VERSION)/share/nvim/runtime

$(NVIM_TEST_RUNTIME): $(NVIM_TEST)
	$^/bin/nvim-test --init

################################################################################
# Type check
################################################################################

.PHONY: emmylua-check
emmylua-check: $(EMMYLUA_BIN) $(NVIM_TEST_RUNTIME)
	VIMRUNTIME=$(NVIM_TEST_RUNTIME) \
		$(EMMYLUA_BIN) . \
		--ignore 'test/**/*' \
		--ignore gen_help.lua

################################################################################
# Docs
################################################################################

.PHONY: doc

doc: $(NVIM_TEST) $(NVIM_TEST_RUNTIME) $(EMMYLUADOC_BIN)
	VIMRUNTIME=$(NVIM_TEST_RUNTIME) \
		$(EMMYLUADOC_BIN) lua --output emydoc --output-format json
	$(NVIM) -l ./gen_help.lua
	@echo Updated help

.PHONY: doc-check
doc-check: doc
	git diff --exit-code -- doc

=== debian/changelog ===
neovim-gitsigns (2.0.0-1) unstable; urgency=medium

  * New upstream release
  * bump Standards-Version to 4.7.3

 -- Carl Keinath <carl.keinath@gmail.com>  Sat, 10 Jan 2026 21:21:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: neovim-gitsigns
 Section: editors
-Priority: optional
 Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
 Uploaders: Carl Keinath <carl.keinath@gmail.com>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-vim-addon,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/lewis6991/gitsigns.nvim
 Vcs-Browser: https://salsa.debian.org/vim-team/neovim-gitsigns
 Vcs-Git: https://salsa.debian.org/vim-team/neovim-gitsigns.git
